apm install : Installing modules failed #15427

Open
wakeya opened this Issue Jan 7, 2017 · 3 comments

Projects

None yet

2 participants

@wakeya
wakeya commented Jan 7, 2017

Hello,
I have a problem while installing uncrustify-master.
I get error with command : apm install

I'm opening this issue because:

  • [1 ] npm is producing an incorrect install.
  • [ 2] npm is doing something I don't understand.

wrong informations

npm ERR! install Couldn't read dependencies
npm ERR! Windows_NT 6.2.9200
npm ERR! argv "C:\Users\Administrator\AppData\Local\atom\app-1.9.9\resources\app\apm\bin\node.exe" "C:\Users\Administrator\AppData\Local\atom\app-1.9.9\resources\app\apm\node_modules\npm\bin\npm-cli.js" "--globalconfig" "C:\Users\Administrator\.atom\.apm\.apmrc" "--userconfig" "C:\Users\Administrator\.atom\.apmrc" "install" "--target=0.37.8" "--arch=ia32"
npm ERR! node v0.10.40
npm ERR! npm v2.13.3

npm ERR! Invalid version: "0.64"
npm ERR!
npm ERR! If you need help, you may report this error at:
npm ERR! https://github.com/npm/npm/issues

supporting information:

  • Windows:

  • Network issues:

    • Geographic location where npm was run:
    • [1 ] I use a proxy to connect to the npm registry.
    • [2 ] I use a proxy to connect to the web.
    • [3 ] I use a proxy when downloading Git repos.
  • Container:

    • [1 ] I develop using Vagrant on Windows.
@Charlotteis

Please update your versions of Node and npm. They are very very outdated and your problems will likely be fixed with an upgrade.

@wakeya
wakeya commented Jan 8, 2017

@Charlotteis Thank you very much, didn't expect to receive a response so quickly!After the update is not the problem.

@Charlotteis

@wakeya No problem :)

Are you still having issues?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment